auction/rounds

GET/auction/rounds

Inspect rounds for an auction or aggregate round metrics. Requires the auctions:read permission.

Request

cURL
curl -X GET "https://provisioning.cloudx.io/api/v1/auction/rounds" \
  -H "Authorization: Bearer $CLOUDX_API_KEY"

Query parameters

NameTypeDescription
auction_idstringCloudX auction ID.
start_timeinteger<int64>Start of the time range as a Unix timestamp in seconds. The requested range must not exceed 31 days and must not start before 2020-01-01 UTC.
end_timeinteger<int64>End of the time range as a Unix timestamp in seconds. The requested range must not exceed 31 days and must not end before 2020-01-01 UTC.
metricstringAggregate round metric to return when auction_id is omitted.
test_modestringTraffic mode to include. Defaults to production traffic.
app_bundlestringApp bundle identifier filter.
ad_unit_idstringAd unit ID filter.
countrystringISO 3166-1 alpha-2 country code filter.
device_osstringDevice operating system filter.
limitinteger<int32>Maximum number of rows to return.

Responses

Auction round rows or aggregate metrics.
{
  "rounds": [
    {
      "auction_id": "<string>",
      "round_id": "<string>",
      "round_number": 123,
      "priority": 123,
      "account_id": "<string>",
      "event_time": "<string>",
      "app_bundle": "<string>",
      "app_name": "<string>",
      "ad_unit_id": "<string>",
      "device_os": "<string>",
      "device_country": "<string>",
      "sdk_version": "<string>",
      "test_mode": true,
      "line_item_count": 123,
      "bidder_count": 123,
      "bid_count": 123,
      "nonbid_count": 123,
      "bid_sum": 12.34,
      "has_winner": true,
      "winner_bidder": "<string>",
      "winner_line_item_id": "<string>",
      "winner_price_cpm": 12.34,
      "configured_floor": 12.34,
      "round_floor": 12.34,
      "floor_currency": "<string>",
      "dps_model": "<string>",
      "dps_model_version": "<string>",
      "experiment_group": "<string>",
      "shadow_mode": true,
      "round_duration_ms": 123
    }
  ],
  "metrics": [
    {
      "metric": "<string>",
      "key": "<string>",
      "round_number": 123,
      "count": 123,
      "avg_duration_ms": 12.34,
      "p50_duration_ms": 12.34,
      "p95_duration_ms": 12.34,
      "max_duration_ms": 123,
      "status": "<string>",
      "nonbid_reason": 123,
      "error_type": "<string>",
      "rejection_reason": "<string>"
    }
  ]
}

200 Auction round rows or aggregate metrics.

FieldTypeDescription
roundsrequiredarray of object
metricsrequiredarray of object

400 Invalid request parameters.

FieldTypeDescription
errorrequiredstring

401 Unauthorized.

FieldTypeDescription
errorrequiredstring

403 Forbidden.

FieldTypeDescription
errorrequiredstring

500 Internal server error.

FieldTypeDescription
errorrequiredstring